    // Подключаем библиотеку для создания дополнительных последовательных (Serial) портов 
    #include <SoftwareSerial.h> 

    //Создаем последовательный порт на пинах 13-чтение и 2-передача
    SoftwareSerial BTSerial(14, 15); // RX, TX
    // Переменная для приема данных по Bluetooth
    char bt_input;

    void setup()
    {
     // Устанавливаем скорость передачи данных для НС-05 (Bluetooth модуль)
     BTSerial.begin(9600);
     // Переключаем A0 в двоичный режим работы, на передачу
     pinMode(16, OUTPUT);
     // Переводим HC-05 в режим AT-команд
     digitalWrite(16,1);  
     // Присваиваем HC-05 новое имя - MaxiBot
     BTSerial.println("AT+NAME=misterYurgines");
     // Устанавливаем скорость передачи данных по кабелю
     // Порт компьютера
      Serial.begin(9600);
     // переводим HC-05 в нормальный режим работы
     digitalWrite(16, 0); 
     
    }
    void loop()
    {
      // Если пришли данные по Bluetooth
      if (BTSerial.available())
      {
        // Записываем, что пришло от Bluetooth в переменную bt_input
        bt_input = (char)BTSerial.read();
        Serial.println(bt_input);
      }
    }

